explain_getpeername_or_die(3)

NAME
explain_getpeername_or_die - get name of peer socket and report errors

SYNOPSIS
#include <libexplain/getpeername.h>

void explain_getpeername_or_die(int fildes, struct sockaddr *sock_addr, socklen_t *sock_addr_size);

DESCRIPTION
The explain_getpeername_or_die function is used to call the getpeername(2) system call. On failure an explanation will be printed to stderr, obtained from explain_getpeername(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    struct sockadd sock_addr;
    socklen_t sock_addr_size = sizeof(sock_addr);
    explain_getpeername_or_die(fildes, &sock_addr, &sock_addr_size);

fildes
    The fildes, exactly as to be passed to the getpeername(2) system call.

sock_addr
    The sock_addr, exactly as to be passed to the getpeername(2) system call.

sock_addr_size
    The sock_addr_size, exactly as to be passed to the getpeername(2) system call.

Returns:
    This function only returns on success, see getpeername(2) for more information. On failure, prints an explanation and exits.

SEE ALSO

getpeername(2)
    get name of connected peer socket

explain_getpeername(3)
    explain getpeername(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller